BMPx(1)

NAME
BMP - Media Player

SYNOPSIS
beep-media-player-2 [OPTIONS]

DESCRIPTION
BMP is a media player

OPTIONS

-?, --help
    Show help options

-v, --version
    Display version and paths/files used by the current BMPx installation

-c, --configure
    Prints the arguments passed to configure for the installed version of BMPx

-n, --no-network
    Start BMPx in "offline" mode, that is, don't enable network dependent sources (Last.fm, Radios), and don't use network dependent services (Musicbrainz)

-u, --uris
    Parse the command line arguments as URIs to play (this is the default anyway so this option shouldn't be really needed; legacy reasons)

-f, --files
    By default, beep-media-player-2 will expect the arguments passed to it on the commandline without options to be URIs (e.g. file:///music/file.ogg, or http://somehost.com/stream.ogg); using this switch will make it treat the arguments as filenames of locally (on this host) acecssible files instead

--ppaus
    Pause/Resume Playback

--ppnext
    Skip to the next Track/Item

--pprev
    Skip to the previous Track/Item

FILES/PATHS

~/.config/bmpx/logs/
    Log directory, to which all log files are written to unless --no-log is used.

~/.config/bmpx/config.xml
    Configuration file (please run beep-media-player-2 --version for a full list of paths and files used by BMP)

~/.config/bmpx/feedlist.opml
    Podcast feedlist in OPML format (adding a feed there while BMP isn't running will make it load the feed when started up the next time)

~/.local/share/bmpx/library-N-N-N.mlib
    SQlite library file

OTHER INFO
The BMPx web site is http://bmpx.beep-media-player.org